Subject: bug#63072: 28.2; CC Mode: Fix "bsd" style and add "freebsd" and "openbsd" ones

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Apr 2023 16:32:21 +0300

> From: Olivier Certner <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 26 Apr 2023 15:09:21 +0200
> 
> > If the styles don't change in practice, then I'm okay with adding
> > them.  But then I wonder why you bothered to mention the fact that
> > they do change.
> 
> I thought this was clear, but apparently not. I mentioned the possibility of a 
> change, yes, because you and I care about backwards compatibility. To quote 
> you: "I don't think we can change a style that was in use for such a long 
> time".
> 
> There may be changes in the project styles, maybe next month, maybe in ten 
> years, maybe in twenty. I do not think the probability is 0 over such a long 
> period of time. What I would not want is you or someone else telling me in 10 
> or 20 years, after such a change: "I don't think we can change a style that 
> was in use for such a long time". What I want instead is that, e.g., "freebsd" 
> can be changed as necessary. I specifically do not want to then be told to 
> create another style named "freebsd2" or whatever. For that to be possible, 
> users must be warned that these styles, although almost always stable, are 
> not, and will not, be set in stone for eternity, contrary to, perhaps, "bsd" 
> or "whitesmith". And I even offered a scheme with additional styles that will 
> never change, if you think that is useful (I think it might be and is so cheap 
> to implement that I think we should do it anyway, even if in the end nobody 
> uses it).
> 
> Is that clear now?

Given all that, I'm not sure we should single out these new styles at
all.  Once in 10 years any constant is eligible for a change.